Subject: bug#17505: dd statistics output

From: Henrik Juul Pedersen <[email-masked]>
Date: Wed, 16 Jul 2014 14:24:15 +0200

Christian Groessler writes:
>
> 268435456 bytes (256 MB) copied, ...
>

This would be a clear violation of the SI standard, which says on its
prefixes:

"These SI prefixes refer strictly to powers of 10. They should not be used
to indicate powers of 2 (for example, one kilobit represents 1000 bits and
not 1024 bits). The IEC has adopted prefixes for binary powers in the
international standard IEC 60027-2: 2005, third edition, Letter symbols to
be used in electrical technology – Part 2: Telecommunications and
electronics. The names and symbols for the prefixes corresponding to 210,
220, 230, 240, 250, and 260 are, respectively: kibi, Ki; mebi, Mi; gibi,
Gi; tebi, Ti; pebi, Pi; and exbi, Ei. Thus, for example, one kibibyte would
be written: 1 KiB = 210 B = 1024 B, where B denotes a byte. Although these
prefixes are not part of the SI, they should be used in the field of
information technology to avoid the incorrect usage of the SI prefixes."
[1, page 121]

I would second Pádraig Bradys:
>
>  268435456 bytes (256 MiB) copied, 0.0248346 s, 10.8 GB/s
>

Or as neither bit nor byte are SI units, one might even keep all IEC units
in IEC binary prefix as such:

>
>  268435456 bytes (256 MiB) copied, 0.0248346 s, 10.1 GiB/s
>

Best regards
Henrik Juul Pedersen

[1] http://www.bipm.org/utils/common/pdf/si_brochure_8_en.pdf

On Wed, Jul 16, 2014 at 11:38 AM, Pádraig Brady <[email-masked]> wrote:

> On 07/16/2014 03:45 AM, Christian Groessler wrote:
> > Hi,
> >
> > the final output of 'dd' is in "SI mode" (or how to call it). It uses
> 10^6 instead of 2^20 for "megabyte".
> >
> > Example:
> >
> > $ dd if=/dev/zero of=/dev/null bs=65536 count=4096
> > 4096+0 records in
> > 4096+0 records out
> > 268435456 bytes (268 MB) copied, 0.0248346 s, 10.8 GB/s
> > $
> >
> > Is there a switch to display in "traditional" units, I'd like to have
> >
> > 268435456 bytes (256 MB) copied, ...
>
> http://bugs.gnu.org/17505#37 was proposed do the following automatically
> (depending on the amount output):
>
>   268435456 bytes (256 MiB) copied, 0.0248346 s, 10.8 GB/s
>
> However that wasn't applied due to inconsistency concerns.
> I'm still of the opinion that the change above would be a net gain,
> as the number in brackets is for human interpretation, and in the vast
> majority of cases would be the best representation for that.
>
> Pádraig.
>
>